"use strict";
exports.__esModule = true;
exports.timestampToMillsecond = void 0;
var TIMESTAMP = /^(\d{2,}):(\d{2})(?:\.(\d{2,3}))?$/; // 00:00.000 | 00:00.00 | 00:00
function timestampToMillsecond(timestamp) {
    var timeMatch = timestamp.match(TIMESTAMP);
    var minute = timeMatch[1];
    var second = timeMatch[2];
    var centisecond = timeMatch[3] || '00'; // compatible with [00:00]
    var centisecondNumber = centisecond.length === 3 ? +centisecond : +centisecond * 10; // // compatible with [00:00.000]
    return +minute * 60 * 1000 + +second * 1000 + centisecondNumber;
}
exports.timestampToMillsecond = timestampToMillsecond;
